#include "../../include/font.h"


static const uint8_t  font_Fully_char_table[] PROGMEM = {
                /* '0' 0x0030 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x1F, 0x80,     /*  [   ******    ]  */
                0x3F, 0xC0,     /*  [  ********   ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x7F, 0xF0,     /*  [ *********** ]  */
                0xF9, 0xF0,     /*  [*****  ***** ]  */
                0xF8, 0xF0,     /*  [*****   **** ]  */
                0xF8, 0xF0,     /*  [*****   **** ]  */
                0xF8, 0xF0,     /*  [*****   **** ]  */
                0xF8, 0xF0,     /*  [*****   **** ]  */
                0xF8, 0xF0,     /*  [*****   **** ]  */
                0x7D, 0xE0,     /*  [ ***** ****  ]  */
                0x3F, 0xE0,     /*  [  *********  ]  */
                0x1F, 0xE0,     /*  [   ********  ]  */
                0x0F, 0xC0,     /*  [    ******   ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* '1' 0x0031 charwidth: 10 */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x07, 0x00,     /*  [     ***  ]  */
                0x0F, 0x00,     /*  [    ****  ]  */
                0x1F, 0x00,     /*  [   *****  ]  */
                0x7F, 0x00,     /*  [ *******  ]  */
                0xFF, 0x00,     /*  [********  ]  */
                0x1F, 0x00,     /*  [   *****  ]  */
                0x0F, 0x00,     /*  [    ****  ]  */
                0x0F, 0x00,     /*  [    ****  ]  */
                0x0F, 0x00,     /*  [    ****  ]  */
                0x0F, 0x00,     /*  [    ****  ]  */
                0x1F, 0x00,     /*  [   *****  ]  */
                0x1F, 0x00,     /*  [   *****  ]  */
                0x1F, 0x00,     /*  [   *****  ]  */
                0x1E, 0x00,     /*  [   ****   ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */

                /* '2' 0x0032 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x1F, 0xE0,     /*  [   ********   ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xF1, 0xF0,     /*  [****   *****  ]  */
                0x01, 0xE0,     /*  [       ****   ]  */
                0x07, 0xC0,     /*  [     *****    ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x3E, 0x00,     /*  [  *****       ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* '3' 0x0033 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x7F, 0x80,     /*  [ ********    ]  */
                0x7F, 0xC0,     /*  [ *********   ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0xF9, 0xE0,     /*  [*****  ****  ]  */
                0x01, 0xE0,     /*  [       ****  ]  */
                0x03, 0xC0,     /*  [      ****   ]  */
                0x0F, 0xC0,     /*  [    ******   ]  */
                0x0F, 0xE0,     /*  [    *******  ]  */
                0x63, 0xF0,     /*  [ **   ****** ]  */
                0x7B, 0xF0,     /*  [ **** ****** ]  */
                0x7F, 0xF0,     /*  [ *********** ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x1F, 0xC0,     /*  [   *******   ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* '4' 0x0034 charwidth: 15 */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x01, 0xE0,     /*  [       ****    ]  */
                0x03, 0xE0,     /*  [      *****    ]  */
                0x07, 0xE0,     /*  [     ******    ]  */
                0x1F, 0xF0,     /*  [   *********   ]  */
                0x3F, 0xF0,     /*  [  **********   ]  */
                0x7F, 0xF0,     /*  [ ***********   ]  */
                0x7D, 0xF0,     /*  [ ***** *****   ]  */
                0xF9, 0xF8,     /*  [*****  ******  ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0x7F, 0xF8,     /*  [ ************  ]  */
                0x3F, 0xF0,     /*  [  **********   ]  */
                0x03, 0xF0,     /*  [      ******   ]  */
                0x03, 0xE0,     /*  [      *****    ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */

                /* '5' 0x0035 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x03, 0xC0,     /*  [      ****    ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0xF8, 0x00,     /*  [*****         ]  */
                0xFF, 0x80,     /*  [*********     ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x7B, 0xF0,     /*  [ **** ******  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* '6' 0x0036 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x3F, 0x80,     /*  [  *******    ]  */
                0x7F, 0xC0,     /*  [ *********   ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0xFD, 0xE0,     /*  [****** ****  ]  */
                0xF8, 0x00,     /*  [*****        ]  */
                0xFB, 0xC0,     /*  [***** ****   ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0xF9, 0xE0,     /*  [*****  ****  ]  */
                0xF9, 0xF0,     /*  [*****  ***** ]  */
                0xFB, 0xF0,     /*  [***** ****** ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x3F, 0xE0,     /*  [  *********  ]  */
                0x1F, 0x80,     /*  [   ******    ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* '7' 0x0037 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x03, 0xF8,     /*  [      ******* ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0x7B, 0xF0,     /*  [ **** ******  ]  */
                0x03, 0xE0,     /*  [      *****   ]  */
                0x07, 0xC0,     /*  [     *****    ]  */
                0x07, 0xC0,     /*  [     *****    ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x1F, 0x80,     /*  [   ******     ]  */
                0x1F, 0x80,     /*  [   ******     ]  */
                0x1F, 0x80,     /*  [   ******     ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* '8' 0x0038 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x3F, 0xE0,     /*  [  *********   ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7D, 0xF0,     /*  [ ***** *****  ]  */
                0x79, 0xF0,     /*  [ ****  *****  ]  */
                0x79, 0xE0,     /*  [ ****  ****   ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x79, 0xF0,     /*  [ ****  *****  ]  */
                0x78, 0xF0,     /*  [ ****   ****  ]  */
                0x78, 0xF8,     /*  [ ****   ***** ]  */
                0x7D, 0xF8,     /*  [ ***** ****** ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x1F, 0x00,     /*  [   *****      ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* '9' 0x0039 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFC, 0xF0,     /*  [******  ****  ]  */
                0xFC, 0xF0,     /*  [******  ****  ]  */
                0x78, 0xF0,     /*  [ ****   ****  ]  */
                0x7D, 0xF0,     /*  [ ***** *****  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x1F, 0xF0,     /*  [   *********  ]  */
                0x39, 0xE0,     /*  [  ***  ****   ]  */
                0x7D, 0xE0,     /*  [ ***** ****   ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x3F, 0x80,     /*  [  *******     ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'A' 0x0041 charwidth: 15 */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x07, 0x80,     /*  [     ****      ]  */
                0x0F, 0xC0,     /*  [    ******     ]  */
                0x1F, 0xE0,     /*  [   ********    ]  */
                0x1F, 0xE0,     /*  [   ********    ]  */
                0x1F, 0xE0,     /*  [   ********    ]  */
                0x3F, 0xE0,     /*  [  *********    ]  */
                0x3F, 0xE0,     /*  [  *********    ]  */
                0x3F, 0xF0,     /*  [  **********   ]  */
                0x7F, 0xF0,     /*  [ ***********   ]  */
                0x7F, 0xF0,     /*  [ ***********   ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0xFC, 0x78,     /*  [******   ****  ]  */
                0xF8, 0x38,     /*  [*****     ***  ]  */
                0x70, 0x00,     /*  [ ***           ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */

                /* 'B' 0x0042 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xF9, 0xF8,     /*  [*****  ****** ]  */
                0xFD, 0xF8,     /*  [****** ****** ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0xF9, 0xF8,     /*  [*****  ****** ]  */
                0xF1, 0xF8,     /*  [****   ****** ]  */
                0xF1, 0xF8,     /*  [****   ****** ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x1F, 0x80,     /*  [   ******     ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'C' 0x0043 charwidth: 16 */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x0E, 0x00,     /*  [    ***         ]  */
                0x1F, 0xF0,     /*  [   *********    ]  */
                0x3F, 0xFC,     /*  [  ************  ]  */
                0x7F, 0xFC,     /*  [ *************  ]  */
                0x7E, 0x7E,     /*  [ ******  ****** ]  */
                0x7E, 0x3E,     /*  [ ******   ***** ]  */
                0x7C, 0x18,     /*  [ *****     **   ]  */
                0xFC, 0x00,     /*  [******          ]  */
                0xFC, 0x00,     /*  [******          ]  */
                0xFC, 0x3E,     /*  [******    ***** ]  */
                0xFC, 0x7E,     /*  [******   ****** ]  */
                0x7F, 0xFE,     /*  [ ************** ]  */
                0x3F, 0xFE,     /*  [  ************* ]  */
                0x0F, 0xFC,     /*  [    **********  ]  */
                0x01, 0xF8,     /*  [       ******   ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */

                /* 'D' 0x0044 charwidth: 16 */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x7F, 0xE0,     /*  [ **********     ]  */
                0xFF, 0xF0,     /*  [************    ]  */
                0xFF, 0xF8,     /*  [*************   ]  */
                0xFC, 0xF8,     /*  [******  *****   ]  */
                0xFC, 0x7C,     /*  [******   *****  ]  */
                0x7C, 0x7C,     /*  [ *****   *****  ]  */
                0x7C, 0x7E,     /*  [ *****   ****** ]  */
                0xFC, 0x7E,     /*  [******   ****** ]  */
                0xFC, 0x7C,     /*  [******   *****  ]  */
                0xFC, 0xFC,     /*  [******  ******  ]  */
                0xFF, 0xFC,     /*  [**************  ]  */
                0x7F, 0xF8,     /*  [ ************   ]  */
                0x7F, 0xF0,     /*  [ ***********    ]  */
                0x3E, 0x00,     /*  [  *****         ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */

                /* 'E' 0x0045 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x7F, 0xF8,     /*  [ ************ ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFD, 0xF0,     /*  [****** *****  ]  */
                0xFC, 0x00,     /*  [******        ]  */
                0xFE, 0x00,     /*  [*******       ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x7C, 0x00,     /*  [ *****        ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'F' 0x0046 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x78, 0x00,     /*  [ ****        ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0xFF, 0xF0,     /*  [************ ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0xF8, 0x00,     /*  [*****        ]  */
                0xF8, 0x00,     /*  [*****        ]  */
                0xFF, 0xC0,     /*  [**********   ]  */
                0xFF, 0xC0,     /*  [**********   ]  */
                0xFF, 0xC0,     /*  [**********   ]  */
                0xFF, 0x80,     /*  [*********    ]  */
                0xF8, 0x00,     /*  [*****        ]  */
                0xF8, 0x00,     /*  [*****        ]  */
                0xF8, 0x00,     /*  [*****        ]  */
                0xF8, 0x00,     /*  [*****        ]  */
                0x70, 0x00,     /*  [ ***         ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* 'G' 0x0047 charwidth: 16 */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x0F, 0xE0,     /*  [    *******     ]  */
                0x1F, 0xF8,     /*  [   **********   ]  */
                0x3F, 0xF8,     /*  [  ***********   ]  */
                0x7F, 0xFC,     /*  [ *************  ]  */
                0x7E, 0x78,     /*  [ ******  ****   ]  */
                0x7E, 0x00,     /*  [ ******         ]  */
                0x7C, 0x7C,     /*  [ *****   *****  ]  */
                0x7C, 0xFC,     /*  [ *****  ******  ]  */
                0x7C, 0x3E,     /*  [ *****    ***** ]  */
                0x7C, 0x3E,     /*  [ *****    ***** ]  */
                0x3F, 0xFE,     /*  [  ************* ]  */
                0x1F, 0xFE,     /*  [   ************ ]  */
                0x0F, 0xFE,     /*  [    *********** ]  */
                0x00, 0x0E,     /*  [            *** ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */

                /* 'H' 0x0048 charwidth: 16 */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x1C,     /*  [           ***  ]  */
                0x7C, 0x3C,     /*  [ *****    ****  ]  */
                0x7C, 0x7C,     /*  [ *****   *****  ]  */
                0xFC, 0x7C,     /*  [******   *****  ]  */
                0xFC, 0x7C,     /*  [******   *****  ]  */
                0xFF, 0xFC,     /*  [**************  ]  */
                0xFF, 0xFC,     /*  [**************  ]  */
                0xFF, 0xFC,     /*  [**************  ]  */
                0x7F, 0xFE,     /*  [ ************** ]  */
                0x7E, 0x7E,     /*  [ ******  ****** ]  */
                0x7C, 0x7E,     /*  [ *****   ****** ]  */
                0x7C, 0x7E,     /*  [ *****   ****** ]  */
                0x7C, 0x7E,     /*  [ *****   ****** ]  */
                0x7C, 0x7E,     /*  [ *****   ****** ]  */
                0x38, 0x7E,     /*  [  ***    ****** ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */

                /* 'I' 0x0049 charwidth: 8 */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x78,   /*  [ ****   ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0xFC,   /*  [******  ]  */
                0xFC,   /*  [******  ]  */
                0xFC,   /*  [******  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x38,   /*  [  ***   ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */

                /* 'J' 0x004A charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x01, 0xE0,     /*  [       ****   ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x79, 0xF0,     /*  [ ****  *****  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x3F, 0x00,     /*  [  ******      ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'K' 0x004B charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0xF0,     /*  [        ****  ]  */
                0x78, 0xF8,     /*  [ ****   ***** ]  */
                0xF9, 0xF8,     /*  [*****  ****** ]  */
                0xFB, 0xF8,     /*  [***** ******* ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0xFF, 0xC0,     /*  [**********    ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7B, 0xF8,     /*  [ **** ******* ]  */
                0x79, 0xF8,     /*  [ ****  ****** ]  */
                0x79, 0xF8,     /*  [ ****  ****** ]  */
                0x78, 0xF8,     /*  [ ****   ***** ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'L' 0x004C charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0xFC, 0x00,     /*  [******       ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x7F, 0xF0,     /*  [ *********** ]  */
                0x7F, 0xF0,     /*  [ *********** ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* 'M' 0x004D charwidth: 19 */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x7C, 0x00, 0x00,       /*  [ *****             ]  */
                0xFE, 0x3F, 0x80,       /*  [*******   *******  ]  */
                0xFF, 0x7F, 0x80,       /*  [******** ********  ]  */
                0xFF, 0x7F, 0x80,       /*  [******** ********  ]  */
                0xFF, 0x7F, 0x00,       /*  [******** *******   ]  */
                0x7F, 0x7F, 0x00,       /*  [ ******* *******   ]  */
                0x7F, 0x7F, 0x00,       /*  [ ******* *******   ]  */
                0x7F, 0x7F, 0x00,       /*  [ ******* *******   ]  */
                0x7F, 0xFF, 0x00,       /*  [ ***************   ]  */
                0x7F, 0xFF, 0x00,       /*  [ ***************   ]  */
                0x7F, 0xFF, 0x00,       /*  [ ***************   ]  */
                0x7B, 0xFF, 0x00,       /*  [ **** **********   ]  */
                0x7B, 0xFF, 0x00,       /*  [ **** **********   ]  */
                0x7B, 0xEF, 0x00,       /*  [ **** ***** ****   ]  */
                0x01, 0xEE, 0x00,       /*  [       **** ***    ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */

                /* 'N' 0x004E charwidth: 16 */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x3C,     /*  [          ****  ]  */
                0x78, 0x7E,     /*  [ ****    ****** ]  */
                0x7C, 0x7E,     /*  [ *****   ****** ]  */
                0x7E, 0x7E,     /*  [ ******  ****** ]  */
                0x7F, 0x7E,     /*  [ ******* ****** ]  */
                0x7F, 0x3C,     /*  [ *******  ****  ]  */
                0xFF, 0xBC,     /*  [********* ****  ]  */
                0xFF, 0xFC,     /*  [**************  ]  */
                0xFB, 0xFC,     /*  [***** ********  ]  */
                0xFB, 0xFE,     /*  [***** ********* ]  */
                0xF9, 0xFE,     /*  [*****  ******** ]  */
                0xFD, 0xFE,     /*  [****** ******** ]  */
                0xFC, 0xFE,     /*  [******  ******* ]  */
                0xFC, 0xFE,     /*  [******  ******* ]  */
                0x78, 0x7C,     /*  [ ****    *****  ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */

                /* 'O' 0x004F charwidth: 17 */
                0x00, 0x00, 0x00,       /*  [                 ]  */
                0x00, 0x00, 0x00,       /*  [                 ]  */
                0x00, 0x00, 0x00,       /*  [                 ]  */
                0x00, 0x00, 0x00,       /*  [                 ]  */
                0x07, 0xF0, 0x00,       /*  [     *******     ]  */
                0x1F, 0xF8, 0x00,       /*  [   **********    ]  */
                0x3F, 0xFC, 0x00,       /*  [  ************   ]  */
                0x3F, 0xFE, 0x00,       /*  [  *************  ]  */
                0x7C, 0x7E, 0x00,       /*  [ *****   ******  ]  */
                0xF8, 0x3E, 0x00,       /*  [*****     *****  ]  */
                0xF8, 0x3E, 0x00,       /*  [*****     *****  ]  */
                0xF8, 0x3E, 0x00,       /*  [*****     *****  ]  */
                0x78, 0x3E, 0x00,       /*  [ ****     *****  ]  */
                0x78, 0x3E, 0x00,       /*  [ ****     *****  ]  */
                0x78, 0x7C, 0x00,       /*  [ ****    *****   ]  */
                0x3C, 0xFE, 0x00,       /*  [  ****  *******  ]  */
                0x1F, 0xFE, 0x00,       /*  [   ************  ]  */
                0x0F, 0xFC, 0x00,       /*  [    **********   ]  */
                0x07, 0xF0, 0x00,       /*  [     *******     ]  */
                0x00, 0x00, 0x00,       /*  [                 ]  */
                0x00, 0x00, 0x00,       /*  [                 ]  */
                0x00, 0x00, 0x00,       /*  [                 ]  */
                0x00, 0x00, 0x00,       /*  [                 ]  */

                /* 'P' 0x0050 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x3F, 0xC0,     /*  [  ********    ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFC, 0x78,     /*  [******   **** ]  */
                0xFC, 0x78,     /*  [******   **** ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x38, 0x00,     /*  [  ***         ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'Q' 0x0051 charwidth: 16 */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x0F, 0xF0,     /*  [    ********    ]  */
                0x1F, 0xF8,     /*  [   **********   ]  */
                0x3F, 0xF8,     /*  [  ***********   ]  */
                0x7F, 0xFC,     /*  [ *************  ]  */
                0xFC, 0x7C,     /*  [******   *****  ]  */
                0xFC, 0x7C,     /*  [******   *****  ]  */
                0xFC, 0x3E,     /*  [******    ***** ]  */
                0xF8, 0x3E,     /*  [*****     ***** ]  */
                0xF9, 0xFE,     /*  [*****  ******** ]  */
                0xF9, 0xFC,     /*  [*****  *******  ]  */
                0x7D, 0xFC,     /*  [ ***** *******  ]  */
                0x7F, 0xF8,     /*  [ ************   ]  */
                0x3F, 0xF8,     /*  [  ***********   ]  */
                0x1F, 0xFC,     /*  [   ***********  ]  */
                0x01, 0xFC,     /*  [       *******  ]  */
                0x00, 0x0E,     /*  [            *** ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */
                0x00, 0x00,     /*  [                ]  */

                /* 'R' 0x0052 charwidth: 15 */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0xFF, 0xE0,     /*  [***********    ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0x7F, 0xFC,     /*  [ ************* ]  */
                0x7C, 0xFC,     /*  [ *****  ****** ]  */
                0x78, 0xF8,     /*  [ ****   *****  ]  */
                0x7F, 0xE0,     /*  [ **********    ]  */
                0x7F, 0xF8,     /*  [ ************  ]  */
                0x7F, 0xF8,     /*  [ ************  ]  */
                0xFD, 0xF8,     /*  [****** ******  ]  */
                0xFC, 0xFC,     /*  [******  ****** ]  */
                0xFC, 0xFC,     /*  [******  ****** ]  */
                0x78, 0xFC,     /*  [ ****   ****** ]  */
                0x38, 0x7C,     /*  [  ***    ***** ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */

                /* 'S' 0x0053 charwidth: 15 */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x07, 0xE0,     /*  [     ******    ]  */
                0x7F, 0xF0,     /*  [ ***********   ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0xFC, 0xF8,     /*  [******  *****  ]  */
                0xFC, 0x78,     /*  [******   ****  ]  */
                0x7C, 0x00,     /*  [ *****         ]  */
                0x3F, 0x00,     /*  [  ******       ]  */
                0x0F, 0xE0,     /*  [    *******    ]  */
                0x01, 0xF0,     /*  [       *****   ]  */
                0x78, 0xF8,     /*  [ ****   *****  ]  */
                0xFD, 0xF8,     /*  [****** ******  ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0x1F, 0xF0,     /*  [   *********   ]  */
                0x01, 0xC0,     /*  [       ***     ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */

                /* 'T' 0x0054 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x7E, 0x00,     /*  [ ******       ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0x1F, 0xC0,     /*  [   *******    ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x1F, 0xC0,     /*  [   *******    ]  */
                0x1F, 0xC0,     /*  [   *******    ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x07, 0x00,     /*  [     ***      ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'U' 0x0055 charwidth: 15 */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x18, 0x70,     /*  [   **    ***   ]  */
                0x7E, 0x7C,     /*  [ ******  ***** ]  */
                0x7E, 0x7C,     /*  [ ******  ***** ]  */
                0x7E, 0x7C,     /*  [ ******  ***** ]  */
                0x7E, 0x7C,     /*  [ ******  ***** ]  */
                0x7C, 0x7C,     /*  [ *****   ***** ]  */
                0x7C, 0x7C,     /*  [ *****   ***** ]  */
                0x7C, 0x7C,     /*  [ *****   ***** ]  */
                0x7C, 0x7C,     /*  [ *****   ***** ]  */
                0x7C, 0xFC,     /*  [ *****  ****** ]  */
                0xFC, 0xFC,     /*  [******  ****** ]  */
                0x7F, 0xFC,     /*  [ ************* ]  */
                0x3F, 0xF8,     /*  [  ***********  ]  */
                0x0F, 0xF0,     /*  [    ********   ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */

                /* 'V' 0x0056 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x70, 0x78,     /*  [ ***     **** ]  */
                0xF8, 0x78,     /*  [*****    **** ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFE, 0xF0,     /*  [******* ****  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7D, 0xE0,     /*  [ ***** ****   ]  */
                0x3F, 0xE0,     /*  [  *********   ]  */
                0x3F, 0xE0,     /*  [  *********   ]  */
                0x1F, 0xE0,     /*  [   ********   ]  */
                0x1F, 0xE0,     /*  [   ********   ]  */
                0x1F, 0xC0,     /*  [   *******    ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x03, 0x80,     /*  [      ***     ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'W' 0x0057 charwidth: 20 */
                0x00, 0x00, 0x00,       /*  [                    ]  */
                0x00, 0x00, 0x00,       /*  [                    ]  */
                0x00, 0x00, 0x00,       /*  [                    ]  */
                0x00, 0x00, 0x00,       /*  [                    ]  */
                0x70, 0x03, 0xC0,       /*  [ ***          ****  ]  */
                0xF1, 0xE7, 0xE0,       /*  [****   ****  ****** ]  */
                0xF9, 0xE7, 0xE0,       /*  [*****  ****  ****** ]  */
                0xFB, 0xF7, 0xC0,       /*  [***** ****** *****  ]  */
                0xFB, 0xF7, 0xC0,       /*  [***** ****** *****  ]  */
                0xFB, 0xFF, 0xC0,       /*  [***** ************  ]  */
                0x7B, 0xFF, 0x80,       /*  [ **** ***********   ]  */
                0x7F, 0xBF, 0x80,       /*  [ ******** *******   ]  */
                0x7F, 0xBF, 0x80,       /*  [ ******** *******   ]  */
                0x7F, 0xBF, 0x80,       /*  [ ******** *******   ]  */
                0x3F, 0xBF, 0x80,       /*  [  ******* *******   ]  */
                0x3F, 0xBF, 0x00,       /*  [  ******* ******    ]  */
                0x3F, 0xBF, 0x00,       /*  [  ******* ******    ]  */
                0x3F, 0x3F, 0x00,       /*  [  ******  ******    ]  */
                0x1C, 0x0F, 0x00,       /*  [   ***      ****    ]  */
                0x00, 0x00, 0x00,       /*  [                    ]  */
                0x00, 0x00, 0x00,       /*  [                    ]  */
                0x00, 0x00, 0x00,       /*  [                    ]  */
                0x00, 0x00, 0x00,       /*  [                    ]  */

                /* 'X' 0x0058 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0xF0,     /*  [        ****  ]  */
                0x3C, 0xF8,     /*  [  ****  ***** ]  */
                0x7D, 0xF0,     /*  [ ***** *****  ]  */
                0x3F, 0xF0,     /*  [  **********  ]  */
                0x3F, 0xE0,     /*  [  *********   ]  */
                0x1F, 0xC0,     /*  [   *******    ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x1F, 0xE0,     /*  [   ********   ]  */
                0x3F, 0xE0,     /*  [  *********   ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFC, 0xF0,     /*  [******  ****  ]  */
                0x78, 0x60,     /*  [ ****    **   ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'Y' 0x0059 charwidth: 15 */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x70, 0x70,     /*  [ ***     ***   ]  */
                0xFC, 0xF8,     /*  [******  *****  ]  */
                0xFD, 0xF8,     /*  [****** ******  ]  */
                0x7D, 0xF8,     /*  [ ***** ******  ]  */
                0x7F, 0xF8,     /*  [ ************  ]  */
                0x3F, 0xF0,     /*  [  **********   ]  */
                0x1F, 0xE0,     /*  [   ********    ]  */
                0x0F, 0xC0,     /*  [    ******     ]  */
                0x0F, 0xC0,     /*  [    ******     ]  */
                0x07, 0xC0,     /*  [     *****     ]  */
                0x07, 0xC0,     /*  [     *****     ]  */
                0x07, 0xC0,     /*  [     *****     ]  */
                0x07, 0x80,     /*  [     ****      ]  */
                0x07, 0x80,     /*  [     ****      ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */

                /* 'Z' 0x005A charwidth: 15 */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0xF8, 0x00,     /*  [*****          ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0xFF, 0xF8,     /*  [*************  ]  */
                0x3F, 0xF8,     /*  [  ***********  ]  */
                0x03, 0xF0,     /*  [      ******   ]  */
                0x03, 0xE0,     /*  [      *****    ]  */
                0x07, 0xE0,     /*  [     ******    ]  */
                0x0F, 0x80,     /*  [    *****      ]  */
                0x1F, 0x00,     /*  [   *****       ]  */
                0x3F, 0x00,     /*  [  ******       ]  */
                0x7F, 0xFC,     /*  [ ************* ]  */
                0x7F, 0xFC,     /*  [ ************* ]  */
                0x7F, 0xFC,     /*  [ ************* ]  */
                0x03, 0xFC,     /*  [      ******** ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */
                0x00, 0x00,     /*  [               ]  */

                /* 'a' 0x0061 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x1F, 0x80,     /*  [   ******     ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x79, 0xE0,     /*  [ ****  ****   ]  */
                0x03, 0xE0,     /*  [      *****   ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'b' 0x0062 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0xFC, 0x00,     /*  [******        ]  */
                0xFC, 0x00,     /*  [******        ]  */
                0xFC, 0x00,     /*  [******        ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFD, 0xF8,     /*  [****** ****** ]  */
                0x7C, 0xF8,     /*  [ *****  ***** ]  */
                0x7C, 0xF0,     /*  [ *****  ****  ]  */
                0x7E, 0xF0,     /*  [ ****** ****  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x77, 0xC0,     /*  [ *** *****    ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'c' 0x0063 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x1F, 0xC0,     /*  [   *******   ]  */
                0x3F, 0xE0,     /*  [  *********  ]  */
                0x7D, 0xE0,     /*  [ ***** ****  ]  */
                0x7C, 0xE0,     /*  [ *****  ***  ]  */
                0xFC, 0x00,     /*  [******       ]  */
                0xFC, 0xE0,     /*  [******  ***  ]  */
                0xFF, 0xF0,     /*  [************ ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x3F, 0xC0,     /*  [  ********   ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* 'd' 0x0064 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x01, 0xF0,     /*  [       *****  ]  */
                0x01, 0xF8,     /*  [       ****** ]  */
                0x01, 0xF8,     /*  [       ****** ]  */
                0x3E, 0xF8,     /*  [  ***** ***** ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFD, 0xF0,     /*  [****** *****  ]  */
                0xF8, 0xF0,     /*  [*****   ****  ]  */
                0xF8, 0xF0,     /*  [*****   ****  ]  */
                0xF8, 0xF0,     /*  [*****   ****  ]  */
                0x7D, 0xF0,     /*  [ ***** *****  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x3F, 0xF0,     /*  [  **********  ]  */
                0x0F, 0xF0,     /*  [    ********  ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'e' 0x0065 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x1F, 0x80,     /*  [   ******    ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0xF9, 0xE0,     /*  [*****  ****  ]  */
                0xF7, 0xF0,     /*  [**** ******* ]  */
                0xFF, 0xF0,     /*  [************ ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0xF0, 0x00,     /*  [****         ]  */
                0xF9, 0xE0,     /*  [*****  ****  ]  */
                0x7F, 0xC0,     /*  [ *********   ]  */
                0x3F, 0x00,     /*  [  ******     ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* 'f' 0x0066 charwidth: 10 */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x07, 0x80,     /*  [     **** ]  */
                0x3F, 0x80,     /*  [  ******* ]  */
                0x3F, 0x00,     /*  [  ******  ]  */
                0x7E, 0x00,     /*  [ ******   ]  */
                0xFF, 0x00,     /*  [********  ]  */
                0xFF, 0x00,     /*  [********  ]  */
                0x7F, 0x00,     /*  [ *******  ]  */
                0x3E, 0x00,     /*  [  *****   ]  */
                0x3E, 0x00,     /*  [  *****   ]  */
                0x3E, 0x00,     /*  [  *****   ]  */
                0x7E, 0x00,     /*  [ ******   ]  */
                0x7E, 0x00,     /*  [ ******   ]  */
                0x7E, 0x00,     /*  [ ******   ]  */
                0x3C, 0x00,     /*  [  ****    ]  */
                0x3C, 0x00,     /*  [  ****    ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */
                0x00, 0x00,     /*  [          ]  */

                /* 'g' 0x0067 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x3F, 0xF0,     /*  [  **********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xFB, 0xF0,     /*  [***** ******  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x3F, 0xF0,     /*  [  **********  ]  */
                0x61, 0xF0,     /*  [ **    *****  ]  */
                0xFB, 0xE0,     /*  [***** *****   ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x3F, 0x80,     /*  [  *******     ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'h' 0x0068 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x38, 0x00,     /*  [  ***         ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x7C, 0x00,     /*  [ *****        ]  */
                0x7C, 0x00,     /*  [ *****        ]  */
                0xFF, 0xC0,     /*  [**********    ]  */
                0xFF, 0xE0,     /*  [***********   ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFD, 0xF0,     /*  [****** *****  ]  */
                0xFC, 0xF0,     /*  [******  ****  ]  */
                0xFC, 0xF0,     /*  [******  ****  ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xF8, 0xF8,     /*  [*****   ***** ]  */
                0xF8, 0xF0,     /*  [*****   ****  ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'i' 0x0069 charwidth: 7 */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x78,   /*  [ ****  ]  */
                0x30,   /*  [  **   ]  */
                0x30,   /*  [  **   ]  */
                0x7C,   /*  [ ***** ]  */
                0xFC,   /*  [****** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */

                /* 'j' 0x006A charwidth: 8 */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x0E,   /*  [    *** ]  */
                0x1E,   /*  [   **** ]  */
                0x3E,   /*  [  ***** ]  */
                0x1E,   /*  [   **** ]  */
                0x00,   /*  [        ]  */
                0x3E,   /*  [  ***** ]  */
                0x7F,   /*  [ *******]  */
                0x7F,   /*  [ *******]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0xFE,   /*  [******* ]  */
                0xFE,   /*  [******* ]  */
                0x7C,   /*  [ *****  ]  */
                0x00,   /*  [        ]  */

                /* 'k' 0x006B charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x7C, 0x00,     /*  [ *****       ]  */
                0xFC, 0x00,     /*  [******       ]  */
                0xFC, 0x00,     /*  [******       ]  */
                0xFD, 0xC0,     /*  [****** ***   ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x7F, 0xC0,     /*  [ *********   ]  */
                0xFF, 0x80,     /*  [*********    ]  */
                0xFF, 0xC0,     /*  [**********   ]  */
                0xFF, 0xC0,     /*  [**********   ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0x7F, 0xF0,     /*  [ *********** ]  */
                0x7F, 0xF0,     /*  [ *********** ]  */
                0x39, 0xE0,     /*  [  ***  ****  ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* 'l' 0x006C charwidth: 7 */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x78,   /*  [ ****  ]  */
                0xFC,   /*  [****** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x38,   /*  [  ***  ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */

                /* 'm' 0x006D charwidth: 21 */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x03, 0x9F, 0x80,       /*  [      ***  ******    ]  */
                0xFF, 0xFF, 0xC0,       /*  [******************   ]  */
                0xFF, 0xFF, 0xC0,       /*  [******************   ]  */
                0xFF, 0xFB, 0xC0,       /*  [************* ****   ]  */
                0xF9, 0xF3, 0xC0,       /*  [*****  *****  ****   ]  */
                0xF9, 0xF3, 0xE0,       /*  [*****  *****  *****  ]  */
                0xFD, 0xF7, 0xE0,       /*  [****** ***** ******  ]  */
                0xFD, 0xF7, 0xE0,       /*  [****** ***** ******  ]  */
                0xFD, 0xF7, 0xE0,       /*  [****** ***** ******  ]  */
                0xFD, 0xE3, 0xC0,       /*  [****** ****   ****   ]  */
                0x79, 0xC1, 0xC0,       /*  [ ****  ***     ***   ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */
                0x00, 0x00, 0x00,       /*  [                     ]  */

                /* 'n' 0x006E charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x03, 0xE0,     /*  [      *****   ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0x7C, 0xF8,     /*  [ *****  ***** ]  */
                0x7C, 0xF8,     /*  [ *****  ***** ]  */
                0x7C, 0xF8,     /*  [ *****  ***** ]  */
                0x7C, 0xF8,     /*  [ *****  ***** ]  */
                0x7C, 0xF8,     /*  [ *****  ***** ]  */
                0x7C, 0xF8,     /*  [ *****  ***** ]  */
                0x38, 0xF0,     /*  [  ***   ****  ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'o' 0x006F charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x0F, 0xC0,     /*  [    ******    ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7D, 0xF0,     /*  [ ***** *****  ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFC, 0xF8,     /*  [******  ***** ]  */
                0xFD, 0xF8,     /*  [****** ****** ]  */
                0x7F, 0xF8,     /*  [ ************ ]  */
                0x1F, 0xF0,     /*  [   *********  ]  */
                0x0F, 0xE0,     /*  [    *******   ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'p' 0x0070 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7E, 0xF0,     /*  [ ****** ****  ]  */
                0x7C, 0xF0,     /*  [ *****  ****  ]  */
                0x7C, 0xF0,     /*  [ *****  ****  ]  */
                0x7C, 0xF0,     /*  [ *****  ****  ]  */
                0x7D, 0xE0,     /*  [ ***** ****   ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x7F, 0xC0,     /*  [ *********    ]  */
                0x7C, 0x00,     /*  [ *****        ]  */
                0xFC, 0x00,     /*  [******        ]  */
                0xFC, 0x00,     /*  [******        ]  */
                0x78, 0x00,     /*  [ ****         ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'q' 0x0071 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x3F, 0xF0,     /*  [  **********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xFF, 0xF0,     /*  [************  ]  */
                0xF8, 0xF0,     /*  [*****   ****  ]  */
                0xF8, 0xF0,     /*  [*****   ****  ]  */
                0xFC, 0xF0,     /*  [******  ****  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0x3F, 0xF0,     /*  [  **********  ]  */
                0x1E, 0xF8,     /*  [   **** ***** ]  */
                0x00, 0xF8,     /*  [        ***** ]  */
                0x00, 0xF0,     /*  [        ****  ]  */
                0x00, 0xF0,     /*  [        ****  ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'r' 0x0072 charwidth: 11 */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x7F, 0x80,     /*  [ ********  ]  */
                0xFF, 0x80,     /*  [*********  ]  */
                0xFF, 0x80,     /*  [*********  ]  */
                0xFF, 0x80,     /*  [*********  ]  */
                0x7F, 0x80,     /*  [ ********  ]  */
                0x7C, 0x00,     /*  [ *****     ]  */
                0x78, 0x00,     /*  [ ****      ]  */
                0x78, 0x00,     /*  [ ****      ]  */
                0x78, 0x00,     /*  [ ****      ]  */
                0x78, 0x00,     /*  [ ****      ]  */
                0x78, 0x00,     /*  [ ****      ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */

                /* 's' 0x0073 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x1E, 0x00,     /*  [   ****      ]  */
                0x3F, 0xC0,     /*  [  ********   ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0xFD, 0xE0,     /*  [****** ****  ]  */
                0xFF, 0x80,     /*  [*********    ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0xC3, 0xF0,     /*  [**    ****** ]  */
                0xF1, 0xF0,     /*  [****   ***** ]  */
                0xFF, 0xF0,     /*  [************ ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0x3F, 0x80,     /*  [  *******    ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* 't' 0x0074 charwidth: 11 */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x3C, 0x00,     /*  [  ****     ]  */
                0x7E, 0x00,     /*  [ ******    ]  */
                0x7E, 0x00,     /*  [ ******    ]  */
                0xFF, 0x80,     /*  [*********  ]  */
                0xFF, 0x80,     /*  [*********  ]  */
                0x3E, 0x00,     /*  [  *****    ]  */
                0x3E, 0x00,     /*  [  *****    ]  */
                0x3E, 0x00,     /*  [  *****    ]  */
                0x3E, 0x00,     /*  [  *****    ]  */
                0x7E, 0x00,     /*  [ ******    ]  */
                0x7F, 0x00,     /*  [ *******   ]  */
                0x7F, 0x80,     /*  [ ********  ]  */
                0x3F, 0x80,     /*  [  *******  ]  */
                0x3F, 0x00,     /*  [  ******   ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */
                0x00, 0x00,     /*  [           ]  */

                /* 'u' 0x0075 charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x79, 0xE0,     /*  [ ****  ****   ]  */
                0x79, 0xF0,     /*  [ ****  *****  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0xFD, 0xF0,     /*  [****** *****  ]  */
                0xFD, 0xF8,     /*  [****** ****** ]  */
                0xFD, 0xF8,     /*  [****** ****** ]  */
                0xFD, 0xF8,     /*  [****** ****** ]  */
                0xFF, 0xF8,     /*  [************* ]  */
                0xFE, 0xF8,     /*  [******* ***** ]  */
                0x78, 0x70,     /*  [ ****    ***  ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* 'v' 0x0076 charwidth: 12 */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x79, 0xE0,     /*  [ ****  **** ]  */
                0xFD, 0xE0,     /*  [****** **** ]  */
                0x7D, 0xE0,     /*  [ ***** **** ]  */
                0x7D, 0xE0,     /*  [ ***** **** ]  */
                0x7F, 0xE0,     /*  [ ********** ]  */
                0x3F, 0xC0,     /*  [  ********  ]  */
                0x3F, 0xC0,     /*  [  ********  ]  */
                0x3F, 0xC0,     /*  [  ********  ]  */
                0x3F, 0xC0,     /*  [  ********  ]  */
                0x1F, 0x80,     /*  [   ******   ]  */
                0x1F, 0x00,     /*  [   *****    ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */

                /* 'w' 0x0077 charwidth: 19 */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x79, 0x80, 0x00,       /*  [ ****  **          ]  */
                0xF9, 0xE7, 0x80,       /*  [*****  ****  ****  ]  */
                0x7F, 0xFF, 0xC0,       /*  [ ***************** ]  */
                0x7F, 0xFF, 0x80,       /*  [ ****************  ]  */
                0x7F, 0xFF, 0x80,       /*  [ ****************  ]  */
                0x7F, 0xFF, 0x00,       /*  [ ***************   ]  */
                0x3F, 0xFF, 0x00,       /*  [  **************   ]  */
                0x3F, 0x7E, 0x00,       /*  [  ****** ******    ]  */
                0x3F, 0x7E, 0x00,       /*  [  ****** ******    ]  */
                0x1F, 0x1E, 0x00,       /*  [   *****   ****    ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */
                0x00, 0x00, 0x00,       /*  [                   ]  */

                /* 'x' 0x0078 charwidth: 12 */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x3D, 0x80,     /*  [  **** **   ]  */
                0x7F, 0xC0,     /*  [ *********  ]  */
                0x7F, 0xC0,     /*  [ *********  ]  */
                0x7F, 0xC0,     /*  [ *********  ]  */
                0x3F, 0x80,     /*  [  *******   ]  */
                0x1F, 0x80,     /*  [   ******   ]  */
                0x3F, 0x80,     /*  [  *******   ]  */
                0x7F, 0xC0,     /*  [ *********  ]  */
                0x7F, 0xC0,     /*  [ *********  ]  */
                0xFB, 0xC0,     /*  [***** ****  ]  */
                0x78, 0x00,     /*  [ ****       ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */

                /* 'y' 0x0079 charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x01, 0xE0,     /*  [       ****  ]  */
                0xF3, 0xF0,     /*  [****  ****** ]  */
                0xFB, 0xF0,     /*  [***** ****** ]  */
                0x7B, 0xE0,     /*  [ **** *****  ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x7F, 0xE0,     /*  [ **********  ]  */
                0x7F, 0xC0,     /*  [ *********   ]  */
                0x3F, 0xC0,     /*  [  ********   ]  */
                0x3F, 0x80,     /*  [  *******    ]  */
                0x1F, 0x80,     /*  [   ******    ]  */
                0x1F, 0x80,     /*  [   ******    ]  */
                0x7F, 0x80,     /*  [ ********    ]  */
                0x7F, 0x00,     /*  [ *******     ]  */
                0x1E, 0x00,     /*  [   ****      ]  */
                0x00, 0x00,     /*  [             ]  */

                /* 'z' 0x007A charwidth: 13 */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x3F, 0xE0,     /*  [  *********  ]  */
                0x3F, 0xE0,     /*  [  *********  ]  */
                0x0F, 0xE0,     /*  [    *******  ]  */
                0x1F, 0xC0,     /*  [   *******   ]  */
                0x3F, 0x00,     /*  [  ******     ]  */
                0x7E, 0x00,     /*  [ ******      ]  */
                0x7E, 0x00,     /*  [ ******      ]  */
                0xFF, 0xE0,     /*  [***********  ]  */
                0xFF, 0xF0,     /*  [************ ]  */
                0x71, 0xF0,     /*  [ ***   ***** ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */
                0x00, 0x00,     /*  [             ]  */

                /* '?' 0x003F charwidth: 14 */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x3F, 0xC0,     /*  [  ********    ]  */
                0x7F, 0xE0,     /*  [ **********   ]  */
                0x7F, 0xF0,     /*  [ ***********  ]  */
                0xF9, 0xF8,     /*  [*****  ****** ]  */
                0xF9, 0xF0,     /*  [*****  *****  ]  */
                0x61, 0xF0,     /*  [ **    *****  ]  */
                0x07, 0xC0,     /*  [     *****    ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x06, 0x00,     /*  [     **       ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0x80,     /*  [    *****     ]  */
                0x0F, 0x00,     /*  [    ****      ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */
                0x00, 0x00,     /*  [              ]  */

                /* ' ' 0x0020 charwidth: 12 */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */
                0x00, 0x00,     /*  [            ]  */

                /* '(' 0x0028 charwidth: 8 */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x38,   /*  [  ***   ]  */
                0x78,   /*  [ ****   ]  */
                0x78,   /*  [ ****   ]  */
                0xF8,   /*  [*****   ]  */
                0xF0,   /*  [****    ]  */
                0xF0,   /*  [****    ]  */
                0xF0,   /*  [****    ]  */
                0xF0,   /*  [****    ]  */
                0xF0,   /*  [****    ]  */
                0xF0,   /*  [****    ]  */
                0xF0,   /*  [****    ]  */
                0xF0,   /*  [****    ]  */
                0xF8,   /*  [*****   ]  */
                0xF8,   /*  [*****   ]  */
                0xFC,   /*  [******  ]  */
                0x7C,   /*  [ *****  ]  */
                0x38,   /*  [  ***   ]  */
                0x00,   /*  [        ]  */

                /* ')' 0x0029 charwidth: 8 */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */
                0x78,   /*  [ ****   ]  */
                0x78,   /*  [ ****   ]  */
                0x78,   /*  [ ****   ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x3C,   /*  [  ****  ]  */
                0x3E,   /*  [  ***** ]  */
                0x3E,   /*  [  ***** ]  */
                0x7E,   /*  [ ****** ]  */
                0x7E,   /*  [ ****** ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0x7C,   /*  [ *****  ]  */
                0xFC,   /*  [******  ]  */
                0xF8,   /*  [*****   ]  */
                0x00,   /*  [        ]  */
                0x00,   /*  [        ]  */

                /* ':' 0x003A charwidth: 7 */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x78,   /*  [ ****  ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x78,   /*  [ ****  ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x78,   /*  [ ****  ]  */
                0xF8,   /*  [*****  ]  */
                0xF8,   /*  [*****  ]  */
                0x78,   /*  [ ****  ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */

                /* '.' 0x002E charwidth: 6 */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x70,   /*  [ ***  ]  */
                0xF8,   /*  [***** ]  */
                0xF8,   /*  [***** ]  */
                0x70,   /*  [ ***  ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */
                0x00,   /*  [      ]  */

                /* '!' 0x0021 charwidth: 7 */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x38,   /*  [  ***  ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x38,   /*  [  ***  ]  */
                0x00,   /*  [       ]  */
                0x38,   /*  [  ***  ]  */
                0x7C,   /*  [ ***** ]  */
                0x7C,   /*  [ ***** ]  */
                0x38,   /*  [  ***  ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */
                0x00,   /*  [       ]  */

};


static const uint16_t font_Fully_offset_table[] PROGMEM = {
                   0, /* '0' 0x0030 */
                  46, /* '1' 0x0031 */
                  92, /* '2' 0x0032 */
                 138, /* '3' 0x0033 */
                 184, /* '4' 0x0034 */
                 230, /* '5' 0x0035 */
                 276, /* '6' 0x0036 */
                 322, /* '7' 0x0037 */
                 368, /* '8' 0x0038 */
                 414, /* '9' 0x0039 */
                 460, /* 'A' 0x0041 */
                 506, /* 'B' 0x0042 */
                 552, /* 'C' 0x0043 */
                 598, /* 'D' 0x0044 */
                 644, /* 'E' 0x0045 */
                 690, /* 'F' 0x0046 */
                 736, /* 'G' 0x0047 */
                 782, /* 'H' 0x0048 */
                 828, /* 'I' 0x0049 */
                 851, /* 'J' 0x004A */
                 897, /* 'K' 0x004B */
                 943, /* 'L' 0x004C */
                 989, /* 'M' 0x004D */
                1058, /* 'N' 0x004E */
                1104, /* 'O' 0x004F */
                1173, /* 'P' 0x0050 */
                1219, /* 'Q' 0x0051 */
                1265, /* 'R' 0x0052 */
                1311, /* 'S' 0x0053 */
                1357, /* 'T' 0x0054 */
                1403, /* 'U' 0x0055 */
                1449, /* 'V' 0x0056 */
                1495, /* 'W' 0x0057 */
                1564, /* 'X' 0x0058 */
                1610, /* 'Y' 0x0059 */
                1656, /* 'Z' 0x005A */
                1702, /* 'a' 0x0061 */
                1748, /* 'b' 0x0062 */
                1794, /* 'c' 0x0063 */
                1840, /* 'd' 0x0064 */
                1886, /* 'e' 0x0065 */
                1932, /* 'f' 0x0066 */
                1978, /* 'g' 0x0067 */
                2024, /* 'h' 0x0068 */
                2070, /* 'i' 0x0069 */
                2093, /* 'j' 0x006A */
                2116, /* 'k' 0x006B */
                2162, /* 'l' 0x006C */
                2185, /* 'm' 0x006D */
                2254, /* 'n' 0x006E */
                2300, /* 'o' 0x006F */
                2346, /* 'p' 0x0070 */
                2392, /* 'q' 0x0071 */
                2438, /* 'r' 0x0072 */
                2484, /* 's' 0x0073 */
                2530, /* 't' 0x0074 */
                2576, /* 'u' 0x0075 */
                2622, /* 'v' 0x0076 */
                2668, /* 'w' 0x0077 */
                2737, /* 'x' 0x0078 */
                2783, /* 'y' 0x0079 */
                2829, /* 'z' 0x007A */
                2875, /* '?' 0x003F */
                2921, /* ' ' 0x0020 */
                2967, /* '(' 0x0028 */
                2990, /* ')' 0x0029 */
                3013, /* ':' 0x003A */
                3036, /* '.' 0x002E */
		3059, /* '!' 0X0021 */
};


static const uint8_t font_Fully_mapping_table[] PROGMEM = {
                  0, /* 00 -   0 - '.' */
                  0, /* 01 -   1 - '.' */
                  0, /* 02 -   2 - '.' */
                  0, /* 03 -   3 - '.' */
                  0, /* 04 -   4 - '.' */
                  0, /* 05 -   5 - '.' */
                  0, /* 06 -   6 - '.' */
                  0, /* 07 -   7 - '.' */
                  0, /* 08 -   8 - '.' */
                  0, /* 09 -   9 - '.' */
                  0, /* 0A -  10 - '.' */
                  0, /* 0B -  11 - '.' */
                  0, /* 0C -  12 - '.' */
                  0, /* 0D -  13 - '.' */
                  0, /* 0E -  14 - '.' */
                  0, /* 0F -  15 - '.' */
                  0, /* 10 -  16 - '.' */
                  0, /* 11 -  17 - '.' */
                  0, /* 12 -  18 - '.' */
                  0, /* 13 -  19 - '.' */
                  0, /* 14 -  20 - '.' */
                  0, /* 15 -  21 - '.' */
                  0, /* 16 -  22 - '.' */
                  0, /* 17 -  23 - '.' */
                  0, /* 18 -  24 - '.' */
                  0, /* 19 -  25 - '.' */
                  0, /* 1A -  26 - '.' */
                  0, /* 1B -  27 - '.' */
                  0, /* 1C -  28 - '.' */
                  0, /* 1D -  29 - '.' */
                  0, /* 1E -  30 - '.' */
                  0, /* 1F -  31 - '.' */
                 63, /* 20 -  32 - ' ' */
                 68, /* 21 -  33 - '!' */
                  0, /* 22 -  34 - '"' */
                  0, /* 23 -  35 - '#' */
                  0, /* 24 -  36 - '$' */
                  0, /* 25 -  37 - '%' */
                  0, /* 26 -  38 - '&' */
                  0, /* 27 -  39 - ''' */
                 64, /* 28 -  40 - '(' */
                 65, /* 29 -  41 - ')' */
                  0, /* 2A -  42 - '*' */
                  0, /* 2B -  43 - '+' */
                  0, /* 2C -  44 - ',' */
                  0, /* 2D -  45 - '-' */
                 67, /* 2E -  46 - '.' */
                  0, /* 2F -  47 - '/' */
                  0, /* 30 -  48 - '0' */
                  1, /* 31 -  49 - '1' */
                  2, /* 32 -  50 - '2' */
                  3, /* 33 -  51 - '3' */
                  4, /* 34 -  52 - '4' */
                  5, /* 35 -  53 - '5' */
                  6, /* 36 -  54 - '6' */
                  7, /* 37 -  55 - '7' */
                  8, /* 38 -  56 - '8' */
                  9, /* 39 -  57 - '9' */
                 66, /* 3A -  58 - ':' */
                  0, /* 3B -  59 - ';' */
                  0, /* 3C -  60 - '<' */
                  0, /* 3D -  61 - '=' */
                  0, /* 3E -  62 - '>' */
                 62, /* 3F -  63 - '?' */
                  0, /* 40 -  64 - '@' */
                 10, /* 41 -  65 - 'A' */
                 11, /* 42 -  66 - 'B' */
                 12, /* 43 -  67 - 'C' */
                 13, /* 44 -  68 - 'D' */
                 14, /* 45 -  69 - 'E' */
                 15, /* 46 -  70 - 'F' */
                 16, /* 47 -  71 - 'G' */
                 17, /* 48 -  72 - 'H' */
                 18, /* 49 -  73 - 'I' */
                 19, /* 4A -  74 - 'J' */
                 20, /* 4B -  75 - 'K' */
                 21, /* 4C -  76 - 'L' */
                 22, /* 4D -  77 - 'M' */
                 23, /* 4E -  78 - 'N' */
                 24, /* 4F -  79 - 'O' */
                 25, /* 50 -  80 - 'P' */
                 26, /* 51 -  81 - 'Q' */
                 27, /* 52 -  82 - 'R' */
                 28, /* 53 -  83 - 'S' */
                 29, /* 54 -  84 - 'T' */
                 30, /* 55 -  85 - 'U' */
                 31, /* 56 -  86 - 'V' */
                 32, /* 57 -  87 - 'W' */
                 33, /* 58 -  88 - 'X' */
                 34, /* 59 -  89 - 'Y' */
                 35, /* 5A -  90 - 'Z' */
                  0, /* 5B -  91 - '[' */
                  0, /* 5C -  92 - '\' */
                  0, /* 5D -  93 - ']' */
                  0, /* 5E -  94 - '^' */
                  0, /* 5F -  95 - '_' */
                  0, /* 60 -  96 - '`' */
                 36, /* 61 -  97 - 'a' */
                 37, /* 62 -  98 - 'b' */
                 38, /* 63 -  99 - 'c' */
                 39, /* 64 - 100 - 'd' */
                 40, /* 65 - 101 - 'e' */
                 41, /* 66 - 102 - 'f' */
                 42, /* 67 - 103 - 'g' */
                 43, /* 68 - 104 - 'h' */
                 44, /* 69 - 105 - 'i' */
                 45, /* 6A - 106 - 'j' */
                 46, /* 6B - 107 - 'k' */
                 47, /* 6C - 108 - 'l' */
                 48, /* 6D - 109 - 'm' */
                 49, /* 6E - 110 - 'n' */
                 50, /* 6F - 111 - 'o' */
                 51, /* 70 - 112 - 'p' */
                 52, /* 71 - 113 - 'q' */
                 53, /* 72 - 114 - 'r' */
                 54, /* 73 - 115 - 's' */
                 55, /* 74 - 116 - 't' */
                 56, /* 75 - 117 - 'u' */
                 57, /* 76 - 118 - 'v' */
                 58, /* 77 - 119 - 'w' */
                 59, /* 78 - 120 - 'x' */
                 60, /* 79 - 121 - 'y' */
                 61, /* 7A - 122 - 'z' */
                  0, /* 7B - 123 - '{' */
                  0, /* 7C - 124 - '|' */
                  0, /* 7D - 125 - '}' */
                  0, /* 7E - 126 - '~' */
                  0, /* 7F - 127 - '' */
                  0, /* 80 - 128 - '€' */
                  0, /* 81 - 129 - '' */
                  0, /* 82 - 130 - '‚' */
                  0, /* 83 - 131 - 'ƒ' */
                  0, /* 84 - 132 - '„' */
                  0, /* 85 - 133 - '…' */
                  0, /* 86 - 134 - '†' */
                  0, /* 87 - 135 - '‡' */
                  0, /* 88 - 136 - 'ˆ' */
                  0, /* 89 - 137 - '‰' */
                  0, /* 8A - 138 - 'Š' */
                  0, /* 8B - 139 - '‹' */
                  0, /* 8C - 140 - 'Œ' */
                  0, /* 8D - 141 - '' */
                  0, /* 8E - 142 - 'Ž' */
                  0, /* 8F - 143 - '' */
                  0, /* 90 - 144 - '' */
                  0, /* 91 - 145 - '‘' */
                  0, /* 92 - 146 - '’' */
                  0, /* 93 - 147 - '“' */
                  0, /* 94 - 148 - '”' */
                  0, /* 95 - 149 - '•' */
                  0, /* 96 - 150 - '–' */
                  0, /* 97 - 151 - '—' */
                  0, /* 98 - 152 - '˜' */
                  0, /* 99 - 153 - '™' */
                  0, /* 9A - 154 - 'š' */
                  0, /* 9B - 155 - '›' */
                  0, /* 9C - 156 - 'œ' */
                  0, /* 9D - 157 - '' */
                  0, /* 9E - 158 - 'ž' */
                  0, /* 9F - 159 - 'Ÿ' */
                  0, /* A0 - 160 - ' ' */
                  0, /* A1 - 161 - '¡' */
                  0, /* A2 - 162 - '¢' */
                  0, /* A3 - 163 - '£' */
                  0, /* A4 - 164 - '¤' */
                  0, /* A5 - 165 - '¥' */
                  0, /* A6 - 166 - '¦' */
                  0, /* A7 - 167 - '§' */
                  0, /* A8 - 168 - '¨' */
                  0, /* A9 - 169 - '©' */
                  0, /* AA - 170 - 'ª' */
                  0, /* AB - 171 - '«' */
                  0, /* AC - 172 - '¬' */
                  0, /* AD - 173 - '­' */
                  0, /* AE - 174 - '®' */
                  0, /* AF - 175 - '¯' */
                  0, /* B0 - 176 - '°' */
                  0, /* B1 - 177 - '±' */
                  0, /* B2 - 178 - '²' */
                  0, /* B3 - 179 - '³' */
                  0, /* B4 - 180 - '´' */
                  0, /* B5 - 181 - 'µ' */
                  0, /* B6 - 182 - '¶' */
                  0, /* B7 - 183 - '·' */
                  0, /* B8 - 184 - '¸' */
                  0, /* B9 - 185 - '¹' */
                  0, /* BA - 186 - 'º' */
                  0, /* BB - 187 - '»' */
                  0, /* BC - 188 - '¼' */
                  0, /* BD - 189 - '½' */
                  0, /* BE - 190 - '¾' */
                  0, /* BF - 191 - '¿' */
                  0, /* C0 - 192 - 'À' */
                  0, /* C1 - 193 - 'Á' */
                  0, /* C2 - 194 - 'Â' */
                  0, /* C3 - 195 - 'Ã' */
                  0, /* C4 - 196 - 'Ä' */
                  0, /* C5 - 197 - 'Å' */
                  0, /* C6 - 198 - 'Æ' */
                  0, /* C7 - 199 - 'Ç' */
                  0, /* C8 - 200 - 'È' */
                  0, /* C9 - 201 - 'É' */
                  0, /* CA - 202 - 'Ê' */
                  0, /* CB - 203 - 'Ë' */
                  0, /* CC - 204 - 'Ì' */
                  0, /* CD - 205 - 'Í' */
                  0, /* CE - 206 - 'Î' */
                  0, /* CF - 207 - 'Ï' */
                  0, /* D0 - 208 - 'Ð' */
                  0, /* D1 - 209 - 'Ñ' */
                  0, /* D2 - 210 - 'Ò' */
                  0, /* D3 - 211 - 'Ó' */
                  0, /* D4 - 212 - 'Ô' */
                  0, /* D5 - 213 - 'Õ' */
                  0, /* D6 - 214 - 'Ö' */
                  0, /* D7 - 215 - '×' */
                  0, /* D8 - 216 - 'Ø' */
                  0, /* D9 - 217 - 'Ù' */
                  0, /* DA - 218 - 'Ú' */
                  0, /* DB - 219 - 'Û' */
                  0, /* DC - 220 - 'Ü' */
                  0, /* DD - 221 - 'Ý' */
                  0, /* DE - 222 - 'Þ' */
                  0, /* DF - 223 - 'ß' */
                  0, /* E0 - 224 - 'à' */
                  0, /* E1 - 225 - 'á' */
                  0, /* E2 - 226 - 'â' */
                  0, /* E3 - 227 - 'ã' */
                  0, /* E4 - 228 - 'ä' */
                  0, /* E5 - 229 - 'å' */
                  0, /* E6 - 230 - 'æ' */
                  0, /* E7 - 231 - 'ç' */
                  0, /* E8 - 232 - 'è' */
                  0, /* E9 - 233 - 'é' */
                  0, /* EA - 234 - 'ê' */
                  0, /* EB - 235 - 'ë' */
                  0, /* EC - 236 - 'ì' */
                  0, /* ED - 237 - 'í' */
                  0, /* EE - 238 - 'î' */
                  0, /* EF - 239 - 'ï' */
                  0, /* F0 - 240 - 'ð' */
                  0, /* F1 - 241 - 'ñ' */
                  0, /* F2 - 242 - 'ò' */
                  0, /* F3 - 243 - 'ó' */
                  0, /* F4 - 244 - 'ô' */
                  0, /* F5 - 245 - 'õ' */
                  0, /* F6 - 246 - 'ö' */
                  0, /* F7 - 247 - '÷' */
                  0, /* F8 - 248 - 'ø' */
                  0, /* F9 - 249 - 'ù' */
                  0, /* FA - 250 - 'ú' */
                  0, /* FB - 251 - 'û' */
                  0, /* FC - 252 - 'ü' */
                  0, /* FD - 253 - 'ý' */
                  0, /* FE - 254 - 'þ' */
                  0 /* FF - 255 - 'ÿ' */
};


static const uint8_t font_Fully_width_table[] PROGMEM = {
                13, /* '0' 0x0030*/
                10, /* '1' 0x0031*/
                14, /* '2' 0x0032*/
                13, /* '3' 0x0033*/
                15, /* '4' 0x0034*/
                14, /* '5' 0x0035*/
                13, /* '6' 0x0036*/
                14, /* '7' 0x0037*/
                14, /* '8' 0x0038*/
                14, /* '9' 0x0039*/
                15, /* 'A' 0x0041*/
                14, /* 'B' 0x0042*/
                16, /* 'C' 0x0043*/
                16, /* 'D' 0x0044*/
                14, /* 'E' 0x0045*/
                13, /* 'F' 0x0046*/
                16, /* 'G' 0x0047*/
                16, /* 'H' 0x0048*/
                 8, /* 'I' 0x0049*/
                14, /* 'J' 0x004A*/
                14, /* 'K' 0x004B*/
                13, /* 'L' 0x004C*/
                19, /* 'M' 0x004D*/
                16, /* 'N' 0x004E*/
                17, /* 'O' 0x004F*/
                14, /* 'P' 0x0050*/
                16, /* 'Q' 0x0051*/
                15, /* 'R' 0x0052*/
                15, /* 'S' 0x0053*/
                14, /* 'T' 0x0054*/
                15, /* 'U' 0x0055*/
                14, /* 'V' 0x0056*/
                20, /* 'W' 0x0057*/
                14, /* 'X' 0x0058*/
                15, /* 'Y' 0x0059*/
                15, /* 'Z' 0x005A*/
                14, /* 'a' 0x0061*/
                14, /* 'b' 0x0062*/
                13, /* 'c' 0x0063*/
                14, /* 'd' 0x0064*/
                13, /* 'e' 0x0065*/
                10, /* 'f' 0x0066*/
                14, /* 'g' 0x0067*/
                14, /* 'h' 0x0068*/
                 7, /* 'i' 0x0069*/
                 8, /* 'j' 0x006A*/
                13, /* 'k' 0x006B*/
                 7, /* 'l' 0x006C*/
                21, /* 'm' 0x006D*/
                14, /* 'n' 0x006E*/
                14, /* 'o' 0x006F*/
                14, /* 'p' 0x0070*/
                14, /* 'q' 0x0071*/
                11, /* 'r' 0x0072*/
                13, /* 's' 0x0073*/
                11, /* 't' 0x0074*/
                14, /* 'u' 0x0075*/
                12, /* 'v' 0x0076*/
                19, /* 'w' 0x0077*/
                12, /* 'x' 0x0078*/
                13, /* 'y' 0x0079*/
                13, /* 'z' 0x007A*/
                14, /* '?' 0x003F*/
                12, /* ' ' 0x0020*/
                 8, /* '(' 0x0028*/
                 8, /* ')' 0x0029*/
                 7, /* ':' 0x003A*/
                 6, /* '.' 0x002E*/
		 7, /* '!' 0X0021*/
};

const struct FONT_DEF Fully PROGMEM = {
   0,   /* glyph_width */
   23,  /* glyph_height */
   font_Fully_char_table,       /* ptr to glyph_table */
   font_Fully_mapping_table,    /* ptr to mapping_table */
   font_Fully_width_table,      /* ptr to width_table */
   font_Fully_offset_table      /* ptr to offset_table */
};
