#ifndef _INPUTS_H_
#define _INPUTS_H_

uint8_t GET_KEY_( uint8_t key_mask );
void INIT_INPUTS( void );
int8_t ENCODE_READ( void );         // read single step encoders
int8_t ENCODE_READ_2( void );         // read two step encoders
int8_t ENCODE_READ_4( void );         // read four step encoders

#define GET_KEY(key_mask)  GET_KEY_((1<<key_mask))
#endif 
